Get deal property groups
curl --request GET \
--url https://api.hubapi.com/properties/v1/deals/groupsimport requests
url = "https://api.hubapi.com/properties/v1/deals/groups"
response = requests.get(url)
print(response.text)const options = {method: 'GET'};
fetch('https://api.hubapi.com/properties/v1/deals/groups', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
[
{
"name": "<string>",
"displayName": "<string>",
"displayOrder": 123,
"hubspotDefined": true,
"properties": [
{
"name": "<string>",
"label": "<string>",
"description": "<string>",
"groupName": "<string>",
"options": [
{
"description": "<string>",
"label": "<string>",
"value": "<string>",
"displayOrder": 123,
"hidden": true,
"readOnly": true,
"doubleData": 123
}
],
"displayOrder": 123,
"formField": true,
"readOnlyValue": true,
"readOnlyDefinition": true,
"hidden": true,
"mutableDefinitionNotDeletable": true,
"favorited": true,
"favoritedOrder": 123,
"calculated": true,
"externalOptions": true,
"displayMode": "<string>",
"hubspotDefined": true,
"createdAt": 123,
"updatedAt": 123,
"createdUserId": 123,
"updatedUserId": 123
}
]
}
]Deal Properties
Get deal property groups
Returns all of the deal property groups for a given portal.
GET
/
properties
/
v1
/
deals
/
groups
Get deal property groups
Query Parameters
Returns all of the properties for each deal property group.
Response
200 - application/json
Successful response with deal property groups
The internal name of the property group
The displayed name of the group
The order of the group when displaying properties
Whether the group is defined by HubSpot
Properties in this group (only included if includeProperties=true)
Show child attributes
Show child attributes
Last modified on March 16, 2026
Was this page helpful?
⌘I